package polyglot.ext.ejava.types;

import java.util.List;

import polyglot.ext.jl.types.ClassType_c;
import polyglot.types.ClassType;
import polyglot.types.Flags;
import polyglot.types.Type;

public class UnextendedType_c extends ClassType_c implements UnextendedType {
  protected ClassType superType;

  public UnextendedType_c(EJavaTypeSystem ts, ClassType superType) {
    super(ts);
    this.superType = superType;
  }
  
  public Type superType() { return superType; }

  public ClassType.Kind kind() { return superType.kind(); }
  public ClassType outer() { return superType.outer(); }
  public String name() { return superType.name(); }
  public polyglot.types.Package package_() { return superType.package_(); }
  public Flags flags() { return superType.flags(); }
  public List constructors() { return superType.constructors(); }
  public List memberClasses() { return superType.memberClasses(); }
  public List fields() { return superType.fields(); }
  public List methods() { return superType.methods(); }
  public List interfaces() { return superType.interfaces(); }
  public boolean inStaticContext() { return superType.inStaticContext(); }
}

